
%if "%{?fedora}" > "2"
%define _with_ofxbanking --with-ofxbanking
%define ofx_deps libofx-devel, openjade-devel >= 1.3.2
%endif

%if "%{?fedora}" > "4"
%define _with_ofxbanking --with-ofxbanking
%define ofx_deps libofx-devel opensp-devel
%endif

%if "%{?rhel}" > "3"
%define _with_ofxbanking --with-ofxbanking
%define ofx_deps libofx-devel, openjade-devel >= 1.3.2
%endif

Summary: Personal finance 
Name:	 kmymoney2
Version: 0.8.4
Release: 1%{?dist}.1

License: GPL
Url:	 http://kmymoney2.sourceforge.net/
Group:	 Applications/Productivity
Source:	 http://dl.sourceforge.net/sourceforge/kmymoney2/kmymoney2-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

Patch1: kmymoney2-0.8.4-enable_final.patch

BuildRequires: desktop-file-utils
BuildRequires: automake
BuildRequires: libxml2-devel
BuildRequires: ghostscript
BuildRequires: kdelibs-devel
%{?_with_ofxbanking:BuildRequires: %{ofx_deps}}
%{?_with_check:BuildRequires: cppunit-devel >= 1.8.0}
## FIXME/TODO
%{?_with_kbanking:BuildRequires: aqbanking-devel >= 1.6.0}


%description
KMyMoney is striving to be a full-featured replacement for your
Windows-based finance software.  We are a full double-entry accounting
software package, for personal or small-business use.

%package devel
Summary: Development files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q

%patch1 -p0 -b .enable_final


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final \
  %{?_with_kbanking: --enable-kbanking } %{!?_with_kbanking: --disable-kbanking } \
  %{?_with_ofxbanking: --enable-ofxbanking --enable-ofxplugin } \
  %{!?_with_ofxbanking: --disable-ofxbanking --disable-ofxplugin } \
  %{?_with_check:--disable-final}

make %{?_smp_mflags}

# Currently broken w/--enable-final: http://bugs.kde.org/115863
%check ||:
%{?_with_check:make check }


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
  --add-category X-Fedora --vendor="" \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

# Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%post
/sbin/ldconfig
for icon_theme in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun
/sbin/ldconfig 
for icon_theme in hicolor locolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/kmymoney*
%{_datadir}/apps/kmymoney2/
%{_datadir}/applications/kde/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/locolor/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/service*/*.desktop
%{_libdir}/lib*.so.*
%if "%{?_with_ofxbanking:1}" == "1"
%{_libdir}/kde3/kmm_ofximport.*
%endif
%{_mandir}/man?/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun May 21 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.4-1
- 0.8.4

* Thu Apr 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-3
- desktop-file-install --vendor=""

* Wed Feb 22 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.3-1
- 0.8.3

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Sat Dec 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-7
- gcc41 patch

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-6
- cleanup ofx deps

* Fri Dec 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-5
- cleanup %%post
- fc5 respin for new(er) libofx

* Mon Nov 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-4
- relax BR: kdelibs-devel to 3.3 (for aurora/sparc, #173133)

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-3
- fix relative symlinks

* Wed Nov 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-2
- qt-3.3.5 patch
- 'make check' workaround (kde bug #115863)
- trim %%description

* Sat Nov 05 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-5
- drop useless macros
- use %%fedora,%%rhel to conditionalize ofxbanking support

* Fri Oct 21 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-4
- %%post,%%postun: gtk-update-icon-cache, update-desktop-database
- omit lib*.la
- x86_64: set QTDIR/QTLIB

* Thu Sep 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-3
- BR: libofx-devel

* Tue Aug 30 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-2
- simplify specfile
- fix build

* Fri Aug 12 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8-1
- 0.8

